summaryrefslogtreecommitdiffstats
path: root/multimedia/gst-plugins-good
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:54:33 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:33 +0200
commit6b21596e87aea87f4a4a9b4ebf6818231247f9e2 (patch)
tree95453edd1527927ef3316fbfc1ca3992543caa41 /multimedia/gst-plugins-good
parent3dfdec11e1b7d78e8eda72fa5c2f40aae35e4499 (diff)
downloadslackbuilds-6b21596e87aea87f4a4a9b4ebf6818231247f9e2.tar.gz
slackbuilds-6b21596e87aea87f4a4a9b4ebf6818231247f9e2.tar.xz
multimedia/gst-plugins-good: Added to 12.1 repository
Diffstat (limited to 'multimedia/gst-plugins-good')
-rw-r--r--multimedia/gst-plugins-good/README7
-rw-r--r--multimedia/gst-plugins-good/gst-plugins-good.SlackBuild82
-rw-r--r--multimedia/gst-plugins-good/gst-plugins-good.info9
-rw-r--r--multimedia/gst-plugins-good/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/multimedia/gst-plugins-good/README b/multimedia/gst-plugins-good/README
new file mode 100644
index 0000000000..71be5a55f2
--- /dev/null
+++ b/multimedia/gst-plugins-good/README
@@ -0,0 +1,7 @@
+Gtreamer Good Plug-ins is a set of plug-ins that we consider to have good
+quality code, correct functionality, our preferred license (LGPL for the
+plug-in code, LGPL or LGPL-compatible for the supporting library).
+
+gstreamer-plugins-good needs the following dependencies installed liboil,
+gst-plugins-base and gstreamer available at slackbuilds.org.
+
diff --git a/multimedia/gst-plugins-good/gst-plugins-good.SlackBuild b/multimedia/gst-plugins-good/gst-plugins-good.SlackBuild
new file mode 100644
index 0000000000..4764c7f87e
--- /dev/null
+++ b/multimedia/gst-plugins-good/gst-plugins-good.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for gst-plugins-good
+# Written by Michiel van Wessem <michiel@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gst-plugins-good
+VERSION=0.10.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Exit on most errors
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog README NEWS RELEASE REQUIREMENTS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gst-plugins-good/gst-plugins-good.info b/multimedia/gst-plugins-good/gst-plugins-good.info
new file mode 100644
index 0000000000..c75aa79635
--- /dev/null
+++ b/multimedia/gst-plugins-good/gst-plugins-good.info
@@ -0,0 +1,9 @@
+PRGNAM="gst-plugins-good"
+VERSION="0.10.11"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-plugins-good.html"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-0.10.11.tar.bz2"
+MD5SUM="79b086c2dc0e07ae0c8ddc91512bab3a"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="dsomero"
+
diff --git a/multimedia/gst-plugins-good/slack-desc b/multimedia/gst-plugins-good/slack-desc
new file mode 100644
index 0000000000..511ff27925
--- /dev/null
+++ b/multimedia/gst-plugins-good/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-plugins-good: gst-plugins-good (a set of GStreamer plugins)
+gst-plugins-good:
+gst-plugins-good: Gtreamer Good Plug-ins is a set of plug-ins that we consider
+gst-plugins-good: to have good quality code, correct functionality, our
+gst-plugins-good: preferred license (LGPL for the plug-in code, LGPL or
+gst-plugins-good: LGPL-compatible for the supporting library).
+gst-plugins-good:
+gst-plugins-good: gst-plugins-good is a set of good-quality plug-ins under our
+gst-plugins-good: preferred license, LGPL
+gst-plugins-good:
+gst-plugins-good: